package com.jz.dmp.modules.dao;


import com.jz.dmp.modules.model.DmpDevelopTask;
import org.apache.ibatis.annotations.Param;

import java.util.Map;

public interface DmpDevelopTaskDao {


    Map getDmpTaskAndTreeInfo(String taskId) throws Exception;

    int deleteTaskByTaskId(String taskId) throws Exception;

    int deleteNavigationTreeByTreeId(String treeId) throws Exception;

    Integer getDbInfoByParam(@Param("xmlTdb") String xmlTdb, @Param("projectId") Integer projectId);

    int insert(DmpDevelopTask dmpDevelopTask) throws Exception;

    DmpDevelopTask selectTaskInfoByParam(@Param("treeId") long treeId) throws Exception;
}
